---
title: Get Selfie
description: Human Token प्रक्रिया के दौरान कैप्चर की गई सेल्फी प्राप्त करें — प्रक्रिया समाप्त होने के बाद 24 घंटे तक उपलब्ध।
canonical: https://developer.unico.io/hi/human-token/api-reference/get-selfie
locale: hi
generated_by: markdown-export
---

- [/hi/](/hi/)
- API संदर्भ
- Get Selfie

**इस पेज परGet SelfieGETHuman Token प्रक्रिया के दौरान कैप्चर की गई सेल्फी प्राप्त करें।

Human Token प्रक्रिया के दौरान यूज़र द्वारा कैप्चर की गई बायोमेट्रिक सेल्फी लौटाता है। छवि को base64-एन्कोडेड स्ट्रिंग के रूप में लौटाया जाता है।
बायोमेट्रिक कैप्चर वाली किसी भी पूर्ण प्रक्रिया के लिए उपलब्ध — सभी पाँच Human Token फ़्लो (`api+humantoken`, `api+liveness+humantoken`, `api+liveness+humantoken+revalidation`, `humantoken`, `humantoken+revalidation`)। जब प्रक्रिया बायोमेट्रिक कैप्चर के बिना पूर्ण होती है तो उपलब्ध नहीं, क्योंकि लौटाने के लिए कोई सेल्फी नहीं है।
चेतावनीसेल्फी प्रक्रिया समाप्त होने के बाद **24 घंटे** तक उपलब्ध रहती है। उसके बाद, छवि स्थायी रूप से हटा दी जाती है और यह endpoint `404` लौटाता है।
### Endpoint​

एनवायरनमेंटURL**प्रोडक्शन**`GET https://humantoken.unico.app/client/v1/process/{processId}/selfie`
### रिक्वेस्ट​

हेडर
Headerमान`x-unico-accesskey``<your_access_key>` (देखें [ऑथेंटिकेशन](/hi/human-token/get-started/authentication))
पाथ पैरामीटर
पैरामीटरप्रकारआवश्यकविवरण`processId`string (UUID)हाँ[प्रोसेस बनाएं](/hi/human-token/api-reference/post-processes) द्वारा लौटाया गया प्रोसेस आइडेंटिफ़ायर।
### उदाहरण​

cURLNode.js```
curl -X GET https://humantoken.unico.app/client/v1/process/$PROCESS_ID/selfie \  -H "x-unico-accesskey: $UNICO_ACCESS_KEY"
```

```
import fetch from 'node-fetch';const res = await fetch(  `https://humantoken.unico.app/client/v1/process/${processId}/selfie`,  { headers: { 'x-unico-accesskey': process.env.UNICO_ACCESS_KEY } });const { fileContents, contentType } = await res.json();// fileContents is a base64-encoded image string
```

### प्रतिक्रियाएँ​

200 OK
```
{  "fileContents": "/9j/4AAQSkZJR...",  "contentType": "image/jpeg"}
```

फ़ील्डप्रकारविवरण`fileContents`string (base64)कैप्चर की गई सेल्फी, base64-एन्कोडेड।`contentType`stringछवि का MIME प्रकार — `image/jpeg` या `image/png`।
### एरर कोड​

400 Bad Request401 Unauthorized403 Forbidden404 Not Found429 Too Many Requestsपाथ पैरामीटर `processId` अनुपस्थित या गलत प्रारूप में है।`x-unico-accesskey` हेडर में access key अनुपस्थित या अमान्य है। देखें [ऑथेंटिकेशन](/hi/human-token/get-started/authentication)।इस प्रक्रिया की सेल्फी तक पहुँचने के लिए अपर्याप्त अनुमतियाँ।प्रक्रिया नहीं मिली, प्रक्रिया बायोमेट्रिक कैप्चर के बिना समाप्त हुई, या 24 घंटे की अवधारण अवधि समाप्त हो गई है।Rate limit reached. When your system receives an HTTP 429 error, you must implement mechanisms to prevent cascading failures and avoid worsening the restriction.
**Best practices:**

**Cool-down period (backoff):** Immediately halt or throttle subsequent requests from your system. Do not continuously retry failed requests in a tight loop.
**Queueing & throttling:** Buffer or queue outgoing requests on your end to control the traffic flow before re-sending them.
**Exponential backoff with jitter:** When retrying, increase the waiting time exponentially between attempts (e.g., 1 s, 2 s, 4 s, 8 s) and add a small random delay ("jitter") to prevent a herd effect where all queued requests retry at the exact same millisecond.

चेतावनीContinuously hitting a rate-limited endpoint without backing off can **prolong the restriction period** and severely impact your system's operational throughput. Properly throttling requests on your side ensures a smoother, more resilient integration.
For default limits, increase requests and additional details, see [Rate Limits](/hi/developers/start/rate-limits).
### आगे क्या​

पूर्ण प्रक्रिया परिणाम के लिए, देखें [प्रोसेस प्राप्त करें](/hi/human-token/api-reference/get-process)।
नई सेल्फी भेजने के लिए [प्रोसेस बनाएं](/hi/human-token/api-reference/post-processes) पर वापस जाएँ।
अंतिम अपडेट 22 अक्टू॰ 2026** को